#!/bin/bash

if [ $# -eq 0 ]; then
  echo "Usage: $0 {tsi_installation_directory}"
  exit 1
fi

installdir=$1
if [ ! -d $installdir ]; then
  echo "Installation directory $installdir not found."
  exit 1
fi

echo ""
echo "Restricting permissions of directory $installdir to read only"
echo "for the owner but executable for world (needed for tsi_ls)."
chmod -R 511 $installdir
sleep 1


echo ""
echo "Restricting permissions of scripts in directory $installdir/bin "
echo "to be executable for the owner"
chmod 500 $installdir/bin/*
sleep 1

echo ""
echo "Making tsi_ls and tsi_df world readable again."
chmod 444 $installdir/perl/tsi_ls
chmod -f 444 $installdir/perl/tsi_df
sleep 1

echo "Making helper scripts world executable again."
chmod -f 555 $installdir/perl/scp-wrapper.pl
chmod -f 555 $installdir/perl/scp-wrapper.sh
sleep 1


echo ""
echo "Showing permissions: \"ls -al $installdir\""
ls -al $installdir
sleep 1

echo ""
echo "######################################################################"
echo "Check that all parent directories of $installdir are world executable."
echo "Otherwise the tsi_ls script cannot be executed."
echo "######################################################################"
echo ""
