#
# Unit test for Torque GetStatusListing.pm
#

# load perl code from our tmp directory
use lib "lib";

use strict;

# import functions we want to test
use Submit qw(submit);

# how many tests
use Test::More tests => 2;

# mocking the execution of 'qsub'
$main::submit_cmd = "echo 1234.server";
$main::debug     = 1;

my $result = "";
open( main::CMD_SOCK, ">>", \$result ) or die;

my $dir=`pwd`;
chomp($dir);
$dir .= "/tmp";

my $msg="#TSI_OUTCOME_DIR $dir\n";
$msg .= "#TSI_USPACE_DIR $dir\n";
$msg .= "#TSI_TIME 600\n";
$msg .= "#TSI_NODES 1\n";
$msg .= "#TSI_PROCESSORS 1\n";

submit($msg);

close(main::CMD_SOCK);


ok( $result =~ "1234" );

#
# test error reporting
#

$main::submit_cmd = "/bin/false";
$result = "";
open( main::CMD_SOCK, ">>", \$result ) or die;
submit($msg);
close(main::CMD_SOCK);
print "Result : \n\n " . $result . "\n";

ok( $result =~ "TSI_FAILED" );
